Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.logger
Class AgentLoggerTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              com.rsa.authagent.authapi.logger.AgentLoggerTest

All Implemented Interfaces:
  junit.framework.Test

    public class AgentLoggerTest

extends junit.framework.TestCase

Description:

Constructor Summary
`AgentLoggerTest(java.lang.String arg0)` Constructor for AgentLoggerTest.

Method Summary
`void` | `testAddOutputI()`
`void` | `testAddOutputIString()`
`void` | `testGetLogLevel()`
`void` | `testLoadAgentProperties()`
`void` | `testLoadAgentPropertiesString()`
`void` | `testLogI()`
`void` | `testLogII()`
`void` | `testLogString()`
`void` | `testLogStringI()`
`void` | `testRemoveAllOutputs()`
`void` | `testSetLogLevel()`

Methods inherited from class junit.framework.TestCase
`countTestCases, getName, run, run, runBare, setName, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AgentLoggerTest

    public AgentLoggerTest(java.lang.String arg0)

  Constructor for AgentLoggerTest.

  Parameters:
    `arg0` -

Method Detail

### testSetLogLevel

    public void testSetLogLevel()

### testGetLogLevel

    public void testGetLogLevel()

### testLogStringI

    public void testLogStringI()

### testAddOutputI

    public void testAddOutputI()

### testAddOutputIString

    public void testAddOutputIString()

### testLogString

    public void testLogString()

### testLogI

    public void testLogI()

### testRemoveAllOutputs

    public void testRemoveAllOutputs()

### testLoadAgentProperties

    public void testLoadAgentProperties()

### testLoadAgentPropertiesString

    public void testLoadAgentPropertiesString()

### testLogII

    public void testLogII()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.